net.dontdrinkandroot.wicket.component.jqueryui

## Class JQueryUiAjaxDropDownChoice<T>

- java.lang.Object
- - org.apache.wicket.Component
  - - org.apache.wicket.MarkupContainer
    - - org.apache.wicket.markup.html.WebMarkupContainer
      - - org.apache.wicket.markup.html.form.LabeledWebMarkupContainer
        - - org.apache.wicket.markup.html.form.FormComponent<T>
          - - org.apache.wicket.markup.html.form.AbstractChoice<T,T>
            - - org.apache.wicket.markup.html.form.AbstractSingleSelectChoice<T>
              - - org.apache.wicket.markup.html.form.DropDownChoice<T>
                - - net.dontdrinkandroot.wicket.component.form.AjaxDropDownChoice<T>
                  - - net.dontdrinkandroot.wicket.component.jqueryui.JQueryUiAjaxDropDownChoice<T>

All Implemented Interfaces:
  Serializable, Iterable<org.apache.wicket.Component>, org.apache.wicket.event.IEventSink, org.apache.wicket.event.IEventSource, org.apache.wicket.IConverterLocator, org.apache.wicket.IGenericComponent<T>, org.apache.wicket.IRequestListener, org.apache.wicket.markup.html.form.IFormModelUpdateListener, org.apache.wicket.markup.html.form.IFormVisitorParticipant, org.apache.wicket.markup.html.form.ILabelProvider<String>, org.apache.wicket.markup.html.form.IOnChangeListener, org.apache.wicket.markup.html.IHeaderContributor, org.apache.wicket.request.component.IRequestableComponent, org.apache.wicket.util.IHierarchical<org.apache.wicket.Component>, org.apache.wicket.util.io.IClusterable

    public class JQueryUiAjaxDropDownChoice<T>
    extends net.dontdrinkandroot.wicket.component.form.AjaxDropDownChoice<T>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.wicket.markup.html.form.AbstractChoice

`org.apache.wicket.markup.html.form.AbstractChoice.LabelPosition`

### Field Summary

### Fields inherited from class org.apache.wicket.markup.html.form.FormComponent

`FLAG_CONVERT_EMPTY_INPUT_STRING_TO_NULL, VALUE_SEPARATOR`

### Fields inherited from class org.apache.wicket.Component

`ENABLE, FLAG_INITIALIZED, FLAG_REMOVING_FROM_HIERARCHY, FLAG_RESERVED1, FLAG_RESERVED2, FLAG_RESERVED3, FLAG_RESERVED4, FLAG_RESERVED5, FLAG_RESERVED8, PARENT_PATH, PATH_SEPARATOR, RENDER`

### Fields inherited from interface org.apache.wicket.markup.html.form.IOnChangeListener

`INTERFACE`

### Constructor Summary

Constructors
Constructor and Description
`JQueryUiAjaxDropDownChoice(String id)`
`JQueryUiAjaxDropDownChoice(String id, org.apache.wicket.model.IModel<? extends List<? extends T>> choices)`
`JQueryUiAjaxDropDownChoice(String id, org.apache.wicket.model.IModel<? extends List<? extends T>> choices, org.apache.wicket.markup.html.form.IChoiceRenderer<? super T> renderer)`
`JQueryUiAjaxDropDownChoice(String id, org.apache.wicket.model.IModel<T> model, org.apache.wicket.model.IModel<? extends List<? extends T>> choices)`
`JQueryUiAjaxDropDownChoice(String id, org.apache.wicket.model.IModel<T> model, org.apache.wicket.model.IModel<? extends List<? extends T>> choices, org.apache.wicket.markup.html.form.IChoiceRenderer<? super T> renderer)`
`JQueryUiAjaxDropDownChoice(String id, org.apache.wicket.model.IModel<T> model, List<? extends T> choices)`
`JQueryUiAjaxDropDownChoice(String id, org.apache.wicket.model.IModel<T> model, List<? extends T> choices, org.apache.wicket.markup.html.form.IChoiceRenderer<? super T> renderer)`
`JQueryUiAjaxDropDownChoice(String id, List<? extends T> choices)`
`JQueryUiAjaxDropDownChoice(String id, List<? extends T> choices, org.apache.wicket.markup.html.form.IChoiceRenderer<? super T> renderer)`

### Method Summary

Methods
`boolean` `isRenderResources()`
`void` `renderHead(org.apache.wicket.markup.head.IHeaderResponse response)`
`void` `setRenderResources(boolean renderResources)`

### Methods inherited from class net.dontdrinkandroot.wicket.component.form.AjaxDropDownChoice

`onInitialize, onSelectionChanged`

### Methods inherited from class org.apache.wicket.markup.html.form.DropDownChoice

`getStatelessHint, onComponentTag, onSelectionChanged, onSelectionChanged, wantOnSelectionChangedNotifications`

### Methods inherited from class org.apache.wicket.markup.html.form.AbstractSingleSelectChoice

`convertChoiceIdToChoice, convertValue, getDefaultChoice, getModelValue, getNullKey, getNullKeyDisplayValue, getNullValidDisplayValue, getNullValidKey, isNullValid, isSelected, setNullValid`

### Methods inherited from class org.apache.wicket.markup.html.form.AbstractChoice

`appendOptionHtml, detachModel, escapeOptionHtml, getChoiceRenderer, getChoices, isDisabled, localizeDisplayValues, onComponentTagBody, setChoiceRenderer, setChoices, setChoices, setOptionAttributes, setType`

### Methods inherited from class org.apache.wicket.markup.html.form.FormComponent

`add, add, checkRequired, clearInput, convertInput, error, getConvertedInput, getDefaultLabel, getDefaultLabel, getForm, getInput, getInputAsArray, getInputName, getModel, getModelObject, getRawInput, getType, getValidatorKeyPrefix, getValidators, getValue, hasRawInput, inputAsInt, inputAsInt, inputAsIntArray, inputChanged, internalOnModelChanged, invalid, isInputNullable, isMultiPart, isRequired, isValid, newValidatable, newValidationError, onDetach, onDisabled, onInvalid, onRequired, onValid, processChildren, processInput, remove, reportRequiredError, setConvertedInput, setLabel, setModel, setModelObject, setModelValue, setRequired, shouldTrimInput, trim, updateAutoLabels, updateCollectionModel, updateModel, valid, validate, validateRequired, validateValidators, visitComponentsPostOrder, visitFormComponentsPostOrder`

### Methods inherited from class org.apache.wicket.markup.html.form.LabeledWebMarkupContainer

`getLabel`

### Methods inherited from class org.apache.wicket.markup.html.WebMarkupContainer

`getWebPage, getWebRequest, getWebResponse, getWebSession`

### Methods inherited from class org.apache.wicket.MarkupContainer

`add, addOrReplace, autoAdd, contains, get, get, getAssociatedMarkup, getAssociatedMarkupStream, getMarkup, getMarkupType, internalAdd, internalInitialize, iterator, iterator, onAfterRenderChildren, onRender, remove, remove, removeAll, renderAll, renderAssociatedMarkup, renderNext, replace, setDefaultModel, size, swap, toString, toString, visitChildren, visitChildren, visitChildren, visitChildren`

### Methods inherited from class org.apache.wicket.Component

`add, addStateChange, afterRender, beforeRender, canCallListenerInterface, checkComponentTag, checkComponentTagAttribute, checkHierarchyChange, clearOriginalDestination, configure, continueToOriginalDestination, debug, detach, detachModels, determineVisibility, error, exceptionMessage, fatal, findMarkupStream, findPage, findParent, findParentWithAssociatedMarkup, getAjaxRegionMarkupId, getApplication, getBehaviorById, getBehaviorId, getBehaviors, getBehaviors, getClassRelativePath, getConverter, getDefaultModel, getDefaultModelObject, getDefaultModelObjectAsString, getDefaultModelObjectAsString, getEscapeModelStrings, getFeedbackMessages, getFlag, getId, getInnermostModel, getInnermostModel, getLocale, getLocalizer, getMarkup, getMarkupAttributes, getMarkupId, getMarkupId, getMarkupIdFromMarkup, getMarkupIdImpl, getMarkupSourcingStrategy, getMetaData, getModelComparator, getOutputMarkupId, getOutputMarkupPlaceholderTag, getPage, getPageRelativePath, getParent, getPath, getRenderBodyOnly, getRequest, getRequestCycle, getRequestFlag, getResponse, getSession, getSizeInBytes, getString, getString, getString, getStyle, getVariation, hasBeenRendered, hasErrorMessage, hasFeedbackMessage, info, initModel, internalPrepareForRender, internalRenderComponent, isActionAuthorized, isAuto, isBehaviorAccepted, isEnableAllowed, isEnabled, isEnabledInHierarchy, isIgnoreAttributeModifier, isRenderAllowed, isStateless, isVersioned, isVisibilityAllowed, isVisible, isVisibleInHierarchy, markRendering, modelChanged, modelChanging, newMarkupSourcingStrategy, onAfterRender, onBeforeRender, onConfigure, onEvent, onModelChanged, onModelChanging, onRemove, prepareForRender, redirectToInterceptPage, remove, remove, render, renderComponentTag, rendered, renderHead, renderHead, renderPlaceholderTag, replaceComponentTagBody, replaceWith, sameInnermostModel, sameInnermostModel, send, setAuto, setDefaultModelObject, setEnabled, setEscapeModelStrings, setFlag, setIgnoreAttributeModifier, setMarkup, setMarkupId, setMarkupIdImpl, setMetaData, setOutputMarkupId, setOutputMarkupPlaceholderTag, setParent, setRenderBodyOnly, setRequestFlag, setResponsePage, setResponsePage, setResponsePage, setVersioned, setVisibilityAllowed, setVisible, success, urlFor, urlFor, urlFor, urlFor, urlFor, visitParents, visitParents, warn, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JQueryUiAjaxDropDownChoice

    public JQueryUiAjaxDropDownChoice(String id)

#### JQueryUiAjaxDropDownChoice

    public JQueryUiAjaxDropDownChoice(String id,
                              List<? extends T> choices)

#### JQueryUiAjaxDropDownChoice

    public JQueryUiAjaxDropDownChoice(String id,
                              List<? extends T> choices,
                              org.apache.wicket.markup.html.form.IChoiceRenderer<? super T> renderer)

#### JQueryUiAjaxDropDownChoice

    public JQueryUiAjaxDropDownChoice(String id,
                              org.apache.wicket.model.IModel<T> model,
                              List<? extends T> choices)

#### JQueryUiAjaxDropDownChoice

    public JQueryUiAjaxDropDownChoice(String id,
                              org.apache.wicket.model.IModel<T> model,
                              List<? extends T> choices,
                              org.apache.wicket.markup.html.form.IChoiceRenderer<? super T> renderer)

#### JQueryUiAjaxDropDownChoice

    public JQueryUiAjaxDropDownChoice(String id,
                              org.apache.wicket.model.IModel<? extends List<? extends T>> choices)

#### JQueryUiAjaxDropDownChoice

    public JQueryUiAjaxDropDownChoice(String id,
                              org.apache.wicket.model.IModel<T> model,
                              org.apache.wicket.model.IModel<? extends List<? extends T>> choices)

#### JQueryUiAjaxDropDownChoice

    public JQueryUiAjaxDropDownChoice(String id,
                              org.apache.wicket.model.IModel<? extends List<? extends T>> choices,
                              org.apache.wicket.markup.html.form.IChoiceRenderer<? super T> renderer)

#### JQueryUiAjaxDropDownChoice

    public JQueryUiAjaxDropDownChoice(String id,
                              org.apache.wicket.model.IModel<T> model,
                              org.apache.wicket.model.IModel<? extends List<? extends T>> choices,
                              org.apache.wicket.markup.html.form.IChoiceRenderer<? super T> renderer)

### Method Detail

#### renderHead

    public void renderHead(org.apache.wicket.markup.head.IHeaderResponse response)

Specified by:
  `renderHead` in interface `org.apache.wicket.markup.html.IHeaderContributor`
Overrides:
  `renderHead` in class `org.apache.wicket.Component`

#### setRenderResources

    public void setRenderResources(boolean renderResources)

#### isRenderResources

    public boolean isRenderResources()